Skip to main content
GET
/
v1
/
appointments
Get all appointments
curl --request GET \
  --url https://dev.flextell.ai/api/v1/appointments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "customer_id": 123,
      "room_id": 123,
      "parent_appointment_id": 123,
      "code": "<string>",
      "relation_type": "<string>",
      "description": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "cancellation_reason": "<string>",
      "creation_type": "<string>",
      "assistants": [
        {
          "id": 123,
          "name": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "customer": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>",
        "phone_number": "<string>",
        "email": "<string>",
        "date_of_birth": "2023-11-07T05:31:56Z",
        "gender": "male",
        "country_name": "<string>",
        "identity_number": "<string>",
        "job": "<string>",
        "address": "<string>",
        "default_channel_id": 123,
        "avatar_url": "<string>",
        "related_user": {
          "id": 123,
          "name": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "doctor": {
        "id": 123,
        "name": "<string>"
      },
      "room": {
        "id": 123,
        "name": "<string>",
        "status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "parent_appointment": "<unknown>",
      "child_appointments": "<array>",
      "treatments": [
        {
          "id": 123,
          "name": "<string>",
          "price": "<string>",
          "description": "<string>",
          "session": 123,
          "is_active": "<string>",
          "extra_info": {},
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "deleted_at": "2023-11-07T05:31:56Z",
          "products": [
            {
              "id": 123,
              "name": "<string>",
              "full_name": "<string>",
              "barcode": "<string>",
              "description": "<string>",
              "box_quantity": "<string>",
              "unit_volume": "<string>",
              "critical_stock_level": 123,
              "invoice_name": "<string>",
              "price": 123,
              "tax_rate": 123,
              "is_active": "<string>",
              "brand": {
                "id": 123,
                "name": "<string>"
              },
              "product_type": {
                "id": 123,
                "name": "<string>",
                "category": "<string>"
              },
              "category": {
                "id": 123,
                "name": "<string>"
              },
              "unit_code": {
                "id": "<string>",
                "name": "<string>",
                "code": "<string>"
              }
            }
          ],
          "users": [
            {
              "id": 123,
              "name": "<string>"
            }
          ],
          "sessions": [
            {
              "id": 123,
              "session_order": 123,
              "session_type": "control",
              "next_gap_days": 123,
              "offset_days": 123
            }
          ]
        }
      ]
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of appointments per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
scheduled_at,
status,
created_at,
updated_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
status
enum<string> | null

Filter by appointment status.

Available options:
pending,
approved,
cancelled,
rejected,
completed,
no_show
relation_type
enum<string> | null

Filter by appointment relation type.

Available options:
parent,
child
customer_id
integer | null

Filter by customer.

user_id
integer | null

Filter by assigned user.

parent_appointment_id
integer | null

Filter by parent appointment.

from
string<date-time> | null

Filter appointments from this date.

to
string<date-time> | null

Filter appointments to this date.

trashed
boolean | null

Filter by trashed status.

tenant
string

Response

Paginated set of AppointmentResource

data
AppointmentResource · object[]
required
meta
object
required